<%- include ("../partials/header") %>
    <div class="team">
        <img src="<%= team.img %>" width="300px" height="200px">
        <p ><%= team.description %></p>
        <p><em>added by <%= team.author.username %></em></p>
        <% if(currentUser && team.author.id.equals(currentUser._id)){ %> 
            <a href="/teams/<%- team._id %>/edit" class="btn btn-warning">Edit team</a>
            <form class="delete" action="/teams/<%-team._id%>?_method=DELETE" method="post">
                <button class="btn btn-danger">Delete team</button>
            </form>
        <% } %>
    </div>
        <div class="comments">
            <a href="/teams/<%- team._id %>/comments/new" class="btn btn-success ">Leave a comment</a><hr>
            <% team.comments.forEach(function(comment){ %>
            <p>
                <div>
                    <strong><%= comment.author.username + "-" %></strong><%=comment.content%>
                </div>
                <% if( currentUser && comment.author.id.equals(currentUser._id)){ %>
                    <a href="/teams/<%-team._id%>/comments/<%-comment._id%>/edit" class="btn btn-warning btn-xm">Edit</a>
                    <form class="deleteForm" action="/teams/<%-team._id%>/comments/<%-comment._id%>?_method=DELETE" method="POST">
                        <button class="btn btn-danger btn-xm ">Delete</button>
                    </form> 
                <% } %>      
            </p>
            <hr>
            <% }) %>
        
    </div>
    <div class="back">
        <a href="/teams">go back!</a>
    </div>

<%- include ("../partials/footer") %>